FROM registry.svc.ci.openshift.org/openshift/release:golang-1.10 AS builder
WORKDIR /go/src/k8s.io/node-problem-detector
COPY . .
RUN yum install -y systemd-devel && \
    make build-binaries

FROM registry.svc.ci.openshift.org/openshift/origin-v4.0:base
COPY --from=builder /go/src/k8s.io/node-problem-detector/bin/node-problem-detector /usr/bin/
COPY --from=builder /go/src/k8s.io/node-problem-detector/bin/log-counter /usr/bin/
